## lxqt-about 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(lxqt-about)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

include(GNUInstallDirs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CPP_FILES
    aboutdialog/lxqtaboutdialog.cpp
    aboutdialog/technicalinfo.cpp
    translatorsinfo/translatorsinfo.cpp
    main.cpp
)

set(UI_FILES
    aboutdialog/lxqtaboutdialog.ui
)

find_package(lxqt REQUIRED QUIET)

include(LXQtCompilerSettings NO_POLICY_SCOPE)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

# Translations **********************************
include(LXQtTranslate)

lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
        ${H_FILES}
        ${CPP_FILES}
        ${UI_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})

lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
    resources/lxqt-about.desktop.in
)
#************************************************

include(translatorsinfo/CMakeLists.txt)
get_translatorsinfo_qrc(translatorsinfo_qrc)

add_executable(${PROJECT_NAME}
    ${CPP_FILES}
    ${QM_FILES}
    ${DESKTOP_FILES}
    ${translatorsinfo_qrc}
    ${QM_LOADER}

)

target_link_libraries(${PROJECT_NAME}
    lxqt
)

install(TARGETS
    ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

# building tarball with CPack -------------------------------------------------
include(InstallRequiredSystemLibraries)
set(CPACK_PACKAGE_VERSION_MAJOR ${LXQT_MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${LXQT_MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${LXQT_PATCH_VERSION})
set(CPACK_GENERATOR TBZ2)
set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
include(CPack)

## lxqt-about 0.9.0+20150806

=== debian/changelog ===
lxqt-about (0.9.0+20150806-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Some cleanup in ./debian $foo.
  * fix dependencies.
  * drop metapackage.
  * Initial release. (Closes: #747600, #765768)

  [ Andrew Lee (李健秋) ]
  * Merging upstream version 0.9.0+20150806.
  * Added myself as Uploader.
  * Sorting build-depends.
  * debian/copyright: Drop GPL-2.0+ license as I couldn't find any headers
    mention that.
  * Removing whitespaces at EOL and EOF.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 14 Aug 2015 19:53:50 +0800

=== debian/control ===
Source: lxqt-about
Section: x11
Priority: optional
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders:
 Alf Gaida <agaida@siduction.org>,
 ChangZhuo Chen (陳昌倬) <czchen@gmail.com>,
 Andrew Lee (李健秋) <ajqlee@debian.org>
Build-Depends:
 cmake (>= 3.0.2),
 debhelper (>= 9),
 libkf5windowsystem-dev (>= 5.9.0),
 liblxqt0-dev (>= 0.9.0),
 libqt5x11extras5-dev (>= 5.3),
 libqt5xdg-dev (>= 1.2.0),
 libx11-dev,
 pkg-config,
 qttools5-dev (>= 5.3),
 qttools5-dev-tools (>= 5.3),
Standards-Version: 3.9.6
Homepage: https://github.com/lxde/lxqt-about
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-about.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-about.git

Package: lxqt-about
Architecture: any
Breaks: lxqt-about-qt5 (<< 0.9.0)
Replaces: lxqt-about-qt5 (<< 0.9.0)
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: About screen for LXQt
 The about screen for LXQt
 .
 This package contain the LXQt about screen.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1


%:
	dh ${@} --buildsystem cmake --parallel


override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/lxqt-about

=== debian/watch ===
version=3
https://github.com/lxde/lxqt-about/releases .*/([\d\.]+).tar.gz

## lxqt-about 0.10.0

=== debian/changelog ===
lxqt-about (0.10.0-3) unstable; urgency=medium

  * Cleanup debian/rules, create -dbgsym.
  * renamed the patch for fixed translations

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 17:35:19 +0100

lxqt-about (0.10.0-2) unstable; urgency=medium

  * Merge from experimental.
  * New upstream release.
  * Set a minimum version of liblxqt.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 15 Nov 2015 21:48:42 +0800

lxqt-about (0.9.0+20150806-2) unstable; urgency=medium

  * cleanup control
  * reduce dependencies
  * change mail address of czchen

 -- Alf Gaida <agaida@siduction.org>  Tue, 10 Nov 2015 18:36:55 +0100

=== debian/control ===
Source: lxqt-about
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.10.0),
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 1.3.0),
               libx11-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-about.git/?h=debian/sid
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-about.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-about

Package: lxqt-about
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: About screen for LXQt
 The about screen for LXQt
 .
 This package contain the LXQt about screen.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem cmake \
		--parallel

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-about/releases .*/([\d\.]+).tar.gz

## lxqt-about 0.11.0

=== debian/changelog ===
lxqt-about (0.11.0-2) unstable; urgency=medium

  * Cherry-picking upstream release: 0.11.0
  * Sync debian foo with experimental
  * Bump compat to 10
  * Removed --parallel from rules, standard compat 10
  * Bump minimum version debhelper (>= 10)
  * Bump minimum version liblxqt0-dev (>= 0.11.0)
  * Bump minimum version libqt5xdg-dev (>= 2.0.0)
  * Added build dependency libqt5xdgiconloader-dev (>= 2.0.0)
  * Added build dependency libqt5svg5-dev
  * Added recommends lxqt-about-l10n
  * Exported LC_ALL=C.UTF-8 - define language settings for reproducible
    builds
  * Dropped patches, applied upstream
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Added README.md to docs

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 01:23:53 +0200

lxqt-about (0.10.0-4) unstable; urgency=medium

  * Bump Standards to 3.9.8, no changes needed 
  * Fixed VCS fields, use https and plain /git/
  * Fixed copyright Format field, use https
  * Bump year in copyright
  * Exported LC_ALL=C.UTF-8, make builds reproducible
  * Added hardening flags

 -- Alf Gaida <agaida@siduction.org>  Tue, 19 Jul 2016 01:39:29 +0200

=== debian/control ===
Source: lxqt-about
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.11.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 2.0.0),
               libqt5xdgiconloader-dev (>= 2.0.0),
               libx11-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-about.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-about.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-about

Package: lxqt-about
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-about-l10n
Description: About screen for LXQt
 The about screen for LXQt
 .
 This package contain the LXQt about screen.

## lxqt-about 0.11.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,6 +40,14 @@
         ${UI_FILES}
     INSTALL_DIR
         "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+    PULL_TRANSLATIONS
+        ${PULL_TRANSLATIONS}
+    CLEAN_TRANSLATIONS
+        ${CLEAN_TRANSLATIONS}
+    TRANSLATIONS_REPO
+        ${TRANSLATIONS_REPO}
+    TRANSLATIONS_REFSPEC
+        ${TRANSLATIONS_REFSPEC}
 )
 
 lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
@@ -76,13 +84,3 @@
     DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
     COMPONENT Runtime
 )
-
-# building tarball with CPack -------------------------------------------------
-include(InstallRequiredSystemLibraries)
-set(CPACK_PACKAGE_VERSION_MAJOR ${LXQT_MAJOR_VERSION})
-set(CPACK_PACKAGE_VERSION_MINOR ${LXQT_MINOR_VERSION})
-set(CPACK_PACKAGE_VERSION_PATCH ${LXQT_PATCH_VERSION})
-set(CPACK_GENERATOR TBZ2)
-set(CPACK_SOURCE_GENERATOR TBZ2)
-set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
-include(CPack)

=== debian/changelog ===
lxqt-about (0.11.1-2) unstable; urgency=medium

  * Recommend lxqt-qtplugin (Closes: #866232)
  * Bump Standards to 4.0.0 - no changes needed

 -- Alf Gaida <agaida@siduction.org>  Fri, 30 Jun 2017 01:45:17 +0200

lxqt-about (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream release: 0.11.1.
  * Removed some build dependencies:
    -cmake
    -libqt5xdg-dev
    -libqt5xdgiconloader-dev
    -pkg-config
    -qttools5-dev
    -qttools5-dev-tools
  * Bumped build dependency liblxqt0-dev (>= 0.11.1)
  * Bumped years in d/copyright

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 11:40:22 +0100

=== debian/control ===
Source: lxqt-about
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.11.1),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-about.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-about.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-about

Package: lxqt-about
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-about-l10n,
            lxqt-qtplugin
Description: About screen for LXQt
 The about screen for LXQt
 .
 This package contain the LXQt about screen.

## lxqt-about 0.12.0

=== debian/changelog ===
lxqt-about (0.12.0-4) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed branch from VCS fields
  * Removed debian/gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 17:45:08 +0100

lxqt-about (0.12.0-3) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 20:38:37 +0100

lxqt-about (0.12.0-2) experimental; urgency=medium

  * Pick up the right versions (fixed liblxqt and lxqt-build-tools)

 -- Alf Gaida <agaida@siduction.org>  Mon, 23 Oct 2017 18:21:43 +0200

lxqt-about (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release: 0.12.0.
  * Switched to experimental
  * Bumped Standards to 4.1.1
  * Bumped liblxqt dependency to >= 0.12.0

 -- Alf Gaida <agaida@siduction.org>  Sun, 22 Oct 2017 22:34:39 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Priority: optional
 Build-Depends: debhelper (>= 10),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.11.1),
+               liblxqt0-dev (>= 0.12.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-about.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-about.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-about.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-about.git
 Homepage: https://github.com/lxde/lxqt-about
 
 Package: lxqt-about

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-about/releases .*/lxqt-about-([\d\.]+).tar.xz

## lxqt-about 0.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,13 +21,23 @@
     aboutdialog/lxqtaboutdialog.ui
 )
 
-find_package(lxqt REQUIRED QUIET)
+find_package(lxqt REQUIRED)
 
+include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 if(NOT CMAKE_BUILD_TYPE)
     set(CMAKE_BUILD_TYPE Release)
 endif()
+
+## Patch Version
+set(LXQT_ABOUT_PATCH_VERSION 0)
+
+set(LXQT_ABOUT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_ABOUT_PATCH_VERSION})
+add_definitions(
+    "-DLXQT_ABOUT_VERSION=\"${LXQT_ABOUT_VERSION}\""
+    "-DQT_NO_FOREACH"
+)
 
 # Translations **********************************
 include(LXQtTranslate)

=== debian/changelog ===
lxqt-about (0.13.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 15:35:42 -0700

lxqt-about (0.13.0-1) unstable; urgency=medium

  * Cherry-picking upstream release: 0.13.0.
  * Bumped build dependency liblxqt0-dev to >= 0.13.0~

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 May 2018 20:02:55 +0200

lxqt-about (0.12.0-5) unstable; urgency=medium

  * Bumped Standards to 4.1.4, no changes needed
  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Fixed Homepage and Source to lxqt
  * Changed VCS fields for salsa
  * Fixed years in copyright

 -- Alf Gaida <agaida@siduction.org>  Fri, 27 Apr 2018 22:40:19 +0200

=== debian/control ===
Source: lxqt-about
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 11~),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.13.0~),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-about
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-about.git
Homepage: https://github.com/lxqt/lxqt-about

Package: lxqt-about
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lxqt-about-l10n,
         lxqt-qtplugin
Description: About screen for LXQt
 The about screen for LXQt
 .
 This package contain the LXQt about screen.

## lxqt-about 0.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,9 @@
-cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
+# CMakeLists.txt file even before calling the project() command.
+# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
+# command to specify that the current project code is written for the given range of CMake
+# versions.
 project(lxqt-about)
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
@@ -21,14 +26,13 @@
     aboutdialog/lxqtaboutdialog.ui
 )
 
-find_package(lxqt REQUIRED)
+# Minimum versions
+set(LXQT_MINIMUM_VERSION "0.14.0")
+
+find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
 
 include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
-
-if(NOT CMAKE_BUILD_TYPE)
-    set(CMAKE_BUILD_TYPE Release)
-endif()
 
 ## Patch Version
 set(LXQT_ABOUT_PATCH_VERSION 0)
@@ -36,7 +40,6 @@
 set(LXQT_ABOUT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_ABOUT_PATCH_VERSION})
 add_definitions(
     "-DLXQT_ABOUT_VERSION=\"${LXQT_ABOUT_VERSION}\""
-    "-DQT_NO_FOREACH"
 )
 
 # Translations **********************************
@@ -50,14 +53,6 @@
         ${UI_FILES}
     INSTALL_DIR
         "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
-    PULL_TRANSLATIONS
-        ${PULL_TRANSLATIONS}
-    CLEAN_TRANSLATIONS
-        ${CLEAN_TRANSLATIONS}
-    TRANSLATIONS_REPO
-        ${TRANSLATIONS_REPO}
-    TRANSLATIONS_REFSPEC
-        ${TRANSLATIONS_REFSPEC}
 )
 
 lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})

=== debian/changelog ===
lxqt-about (0.14.0-1) unstable; urgency=medium

  * Cherry-picking upstream release: 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version liblxqt0-dev (>= 0.14.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 16:05:00 +0100

=== debian/control ===
Source: lxqt-about
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.14.0~),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-about
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-about.git
Homepage: https://github.com/lxqt/lxqt-about

Package: lxqt-about
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-about-l10n,
            lxqt-qtplugin
Description: About screen for LXQt
 The about screen for LXQt
 .
 This package contain the LXQt about screen.

Package: lxqt-about-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-about (<< 0.11.0)
Replaces: lxqt-about (<< 0.11.0)
Description: Language package for lxqt-about
 This package contains the l10n files needed by the lxqt-about.

## lxqt-about 0.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 )
 
 # Minimum versions
-set(LXQT_MINIMUM_VERSION "0.14.0")
+set(LXQT_MINIMUM_VERSION "0.14.1")
 
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
 
@@ -35,7 +35,7 @@
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 ## Patch Version
-set(LXQT_ABOUT_PATCH_VERSION 0)
+set(LXQT_ABOUT_PATCH_VERSION 1)
 
 set(LXQT_ABOUT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_ABOUT_PATCH_VERSION})
 add_definitions(

=== debian/changelog ===
lxqt-about (0.14.1-1ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:48:36 +0100

lxqt-about (0.14.1-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Updated the control file for new depends.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Sat, 09 Mar 2019 20:44:31 +0000

lxqt-about (0.14.1-1) unstable; urgency=medium

  * Cherry-picking upstream release: 0.14.1.
  * Bumped minimum version liblxqt0-dev (>= 0.14.1~)

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 01:28:48 +0100

lxqt-about (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 12:45:10 -0600

lxqt-about (0.14.0-0ubuntu2) disco; urgency=medium

  * Add Breaks/Replaces on lxqt-about-l10n.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 10:18:48 -0600

lxqt-about (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.
  * Add a lxqt-about-l10n package.
  * Wraaaaaaap.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 25 Jan 2019 23:52:29 -0600

lxqt-about (0.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update Vcs-* and Maintainer to Lubuntu values.
  * Update build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 22 May 2018 23:07:40 -0500

=== debian/control ===
Source: lxqt-about
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 12),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.14.1~),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev
Standards-Version: 4.3.0
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-about/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-about.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-about
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-about.git
Homepage: https://github.com/lxqt/lxqt-about

Package: lxqt-about
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-about-l10n, lxqt-qtplugin
Description: About screen for LXQt
 The about screen for LXQt
 .
 This package contain the LXQt about screen.

Package: lxqt-about-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: lxqt-about (<< 0.11.0), lxqt-about-l10n (<< 0.14.0)
Replaces: lxqt-about (<< 0.11.0), lxqt-about-l10n (<< 0.14.0)
Description: Language package for lxqt-about
 This package contains the l10n files needed by the lxqt-about.

## lxqt-about 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 )
 
 # Minimum versions
-set(LXQT_MINIMUM_VERSION "0.14.1")
+set(LXQT_MINIMUM_VERSION "0.15.0")
 
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
 
@@ -35,7 +35,7 @@
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 ## Patch Version
-set(LXQT_ABOUT_PATCH_VERSION 1)
+set(LXQT_ABOUT_PATCH_VERSION 0)
 
 set(LXQT_ABOUT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_ABOUT_PATCH_VERSION})
 add_definitions(

=== debian/changelog ===
lxqt-about (0.15.0-0ubuntu1) groovy; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
    - Update upstream signing key.
    - Bump LXQt build dependencies.
  * Bump Standards-version to 4.5.0, no changes needed.
  * debhelper -> debhelper-compat.

  [ Dan Simmons ]
  * Drop breaks: lxqt-about-l10 (<< 0.14.0)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 00:36:18 -0500

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.14.1~),
+               liblxqt0-dev (>= 0.15.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://phab.lubuntu.me/source/lxqt-about/
 Vcs-Git: https://phab.lubuntu.me/source/lxqt-about.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-about
@@ -33,7 +33,7 @@
 Multi-Arch: foreign
 Section: localization
 Depends: qttranslations5-l10n, ${misc:Depends}
-Breaks: lxqt-about (<< 0.11.0), lxqt-about-l10n (<< 0.14.0)
+Breaks: lxqt-about (<< 0.11.0)
 Replaces: lxqt-about (<< 0.11.0), lxqt-about-l10n (<< 0.14.0)
 Description: Language package for lxqt-about
  This package contains the l10n files needed by the lxqt-about.

## lxqt-about 0.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 )
 
 # Minimum versions
-set(LXQT_MINIMUM_VERSION "0.15.0")
+set(LXQT_MINIMUM_VERSION "0.16.0")
 
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-about (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Andrew Lee (李健秋) ]
  * New upstream release. (Closes: #978196)
  * debian/control: update build-deps.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Jan 2021 15:43:27 +0800

=== debian/control ===
Source: lxqt-about
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.16.0~),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-about
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-about.git
Homepage: https://github.com/lxqt/lxqt-about

Package: lxqt-about
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-about-l10n,
            lxqt-qtplugin
Description: About screen for LXQt
 The about screen for LXQt
 .
 This package contain the LXQt about screen.

Package: lxqt-about-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-about (<< 0.11.0)
Replaces: lxqt-about (<< 0.11.0)
Description: Language package for lxqt-about
 This package contains the l10n files needed by the lxqt-about.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/lxqt-about/releases .*/lxqt-about-([\d\.]+).tar.xz

## lxqt-about 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 )
 
 # Minimum versions
-set(LXQT_MINIMUM_VERSION "0.16.0")
+set(LXQT_MINIMUM_VERSION "0.17.0")
 
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
 
@@ -60,6 +60,7 @@
 lxqt_translate_desktop(DESKTOP_FILES
     SOURCES
     resources/lxqt-about.desktop.in
+    USE_YAML
 )
 #************************************************

=== debian/changelog ===
lxqt-about (0.17.0-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.0
  * Update debian/control
    - Bump Standards-Version to 4.5.1
    - Use liblxqt0-dev 0.17.0
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Thu, 12 Aug 2021 15:43:16 +0200

lxqt-about (0.16.0-1ubuntu1) hirsute; urgency=medium

  * New upstream version.
  * Bump debhelper-compat to 13.
  * Update debian/copyright.

 -- Raman Sarda <theloudspeaker@disroot.org>  Sun, 21 Feb 2021 22:22:25 +0530

=== debian/control ===
Source: lxqt-about
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.17.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev
Standards-Version: 4.5.1
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-about/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-about.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-about
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-about.git
Homepage: https://github.com/lxqt/lxqt-about

Package: lxqt-about
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-about-l10n, lxqt-qtplugin
Description: About screen for LXQt
 The about screen for LXQt
 .
 This package contain the LXQt about screen.

Package: lxqt-about-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: lxqt-about (<< 0.11.0)
Replaces: lxqt-about (<< 0.11.0), lxqt-about-l10n (<< 0.14.0)
Description: Language package for lxqt-about
 This package contains the l10n files needed by the lxqt-about.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxqt/lxqt-about/releases .*/lxqt-about-([\d\.]+).tar.xz

## lxqt-about 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 )
 
 # Minimum versions
-set(LXQT_MINIMUM_VERSION "0.17.0")
+set(LXQT_MINIMUM_VERSION "1.1.0")
 
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
 
@@ -90,3 +90,8 @@
     DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
     COMPONENT Runtime
 )
+install(DIRECTORY
+    resources/hicolor
+    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons"
+    COMPONENT Runtime
+ )

=== debian/changelog ===
lxqt-about (1.1.0-3) unstable; urgency=medium

  * Reorganized improper changes from debian/experimental branch:
    * debian/control: Bump Standards-Version to 4.6.1.
    * debian/control: Bump debhelper to 13.
    * debian/copyright: sync from lubuntu.
    * debian/lintian-overrides: fix no-manual-page override.
    * debian/lxqt-about.install: sort lines.
    * debian/rules: Remove unnecessary -Wl,--as-needed.
    * debian/upstream/signing-key: Update.
    * debian/control: Update lxqt-about-l10n description.
  * debian/upstream/metadata: Change Repository-Browser field to
    Repository-Browse.
  * debian/watch: fix uscan error.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 09 Nov 2022 14:09:57 +0800

lxqt-about (1.1.0-2) experimental; urgency=medium

  * Upstreamed changes from Ubuntu, modifying the following files:
    - control
    - copyright
    - lintian-overrides
    - lxqt-about.install
    - rules
    - upstream/*

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Wed, 13 Jul 2022 19:31:47 -0500

lxqt-about (1.1.0-1) experimental; urgency=medium

  * Update debian/upstream/signing-key.asc.
  * New upstream version 1.0.0
  * Add debian/salsa-ci.yml file.
  * New upstream version 1.1.0
  * Build-deps on liblxqt1-dev (>= 1.1.0~).
  * Drop lxqt-about (<< 0.11.0) from Brakes and Replaces.
  * debian/lxqt-about.install: ship artwork.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 13 Jul 2022 22:49:44 +0800

=== debian/control ===
Source: lxqt-about
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.1.0~),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-about
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-about.git
Homepage: https://github.com/lxqt/lxqt-about

Package: lxqt-about
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-about-l10n,
            lxqt-qtplugin
Description: About screen for LXQt
 The about screen for LXQt
 .
 This package contain the LXQt about screen.

Package: lxqt-about-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Description: Language package for lxqt-about
 The about screen for LXQt
 .
 This package contains the l10n files needed by the lxqt-about.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lxqt-about-$1\.tar\.gz/,pgpsigurlmangle=s/$/.asc/ \
  https://github.com/lxqt/lxqt-about/tags .*/v?(\d\S*)\.tar\.gz

## lxqt-about 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 )
 
 # Minimum versions
-set(LXQT_MINIMUM_VERSION "1.1.0")
+set(LXQT_MINIMUM_VERSION "1.2.0")
 
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)

=== translations/CMakeLists.txt ===
project(lxqt-about)

build_component("." "")

=== debian/changelog ===
lxqt-about (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root: no.
  * Update d/watch for GitHub.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 14 Dec 2022 22:29:15 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.1.0~),
+               liblxqt1-dev (>= 1.2.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
@@ -15,6 +15,7 @@
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-about
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-about.git
 Homepage: https://github.com/lxqt/lxqt-about
+Rules-Requires-Root: no
 
 Package: lxqt-about
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## lxqt-about 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 )
 
 # Minimum versions
-set(LXQT_MINIMUM_VERSION "1.2.0")
+set(LXQT_MINIMUM_VERSION "1.3.0")
 
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-about (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 09:48:53 -0500

lxqt-about (1.2.0-1ubuntu2) lunar; urgency=medium

  * Fixed a typo in the changelog.
  * Added ChangZhuo Chen to the copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 12 Feb 2023 20:28:40 -0600

lxqt-about (1.2.0-1ubuntu1) lunar; urgency=medium

  [ ChangZhuo Chen ]
  * Add Rules-Requires-Root: no.

  [ Aaron Rainbolt ]
  * Revert a sync from Debian.
  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Updated copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 12 Feb 2023 10:48:46 -0600

lxqt-about (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump build dependencies in debian/control.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 17 Nov 2022 17:51:11 -0600

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: lxqt-about
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
@@ -7,13 +8,15 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.2.0~),
+               liblxqt1-dev (>= 1.3.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-about
-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-about.git
+Standards-Version: 4.6.2
+Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-about-packaging
+Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-about-packaging.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-about
+XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-about.git
 Homepage: https://github.com/lxqt/lxqt-about
 Rules-Requires-Root: no

## lxqt-about 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 )
 
 # Minimum versions
-set(LXQT_MINIMUM_VERSION "1.3.0")
+set(LXQT_MINIMUM_VERSION "1.4.0")
 
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-about (1.4.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Suppress blhc error
  * Update changelog

  [ Andrew Lee (李健秋) ]
  * New upstream version 1.4.0
  * debian/control: build-deps on liblxqt1-dev (>= 1.4.0~).
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 11 Dec 2023 16:58:15 +0100

lxqt-about (1.3.0-2) unstable; urgency=medium

  * Suppress blhc error.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 02 Aug 2023 08:23:42 +0800

lxqt-about (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Change team email to <team+lxqt@tracker.debian.org>.
  * Update d/copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 14 Jun 2023 11:46:31 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: lxqt-about
-Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
@@ -8,15 +7,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.3.0),
+               liblxqt1-dev (>= 1.4.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
 Standards-Version: 4.6.2
-Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-about-packaging
-Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-about-packaging.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-about
-XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-about.git
+Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-about
+Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-about.git
 Homepage: https://github.com/lxqt/lxqt-about
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 	dh_auto_configure -- \
 		-DUPDATE_TRANSLATIONS=OFF \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
+
+execute_before_dh_auto_build:
+	@echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI[.]cpp.*"

## lxqt-about 2.0.0

=== debian/changelog ===
lxqt-about (2.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Adjust build dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:40:12 -0500

lxqt-about (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 12 Nov 2023 17:38:09 -0600

=== debian/control ===
Source: lxqt-about
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev,
               liblxqt2-dev (>= 1.4.0),
               libx11-dev,
               qt6-svg-dev
Standards-Version: 4.7.0
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-about-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-about-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-about
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-about.git
Homepage: https://github.com/lxqt/lxqt-about
Rules-Requires-Root: no

Package: lxqt-about
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-about-l10n,
            lxqt-qtplugin
Description: About screen for LXQt
 The about screen for LXQt
 .
 This package contain the LXQt about screen.

Package: lxqt-about-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qt6-translations-l10n
Description: Language package for lxqt-about
 The about screen for LXQt
 .
 This package contains the l10n files needed by the lxqt-about.

## lxqt-about 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
@@ -27,7 +27,7 @@
 )
 
 # Minimum versions
-set(LXQT_MINIMUM_VERSION "1.4.0")
+set(LXQT_MINIMUM_VERSION "2.1.0")
 
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-about (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * debian/control: build-deps on liblxqt-dev (>= 2.1.0~).
  * debian/control: recommends on lxqt-qtplugin (>= 2.1.0~).

 -- Macy Lin <macy@debconf.org>  Fri, 06 Dec 2024 20:22:42 +0100

lxqt-about (2.0.0-1) unstable; urgency=medium

  * Migrate to unstable.
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 20:58:08 +0100

lxqt-about (2.0.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream release 2.0.0
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n
  * debian/control: update Recommends to lxqt-qtplugin6
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev
  * debian/control: bump dep on liblxqt1-dev -> liblxqt-dev
  * debian/control: bump dep on libqt5svg5-dev -> qt6-svg-dev

  [ Andrew Lee (李健秋) ]
  * debian/salsa-ci.yml: build against to experimental.
  * Clean up of group membership after 2nd calls.
  * debian/copyright: update.
  * debian/control: build-deps on libglib2.0-dev.
  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 21 Sep 2024 15:27:51 +0200

lxqt-about (1.4.0-2) unstable; urgency=medium

  * debian/control: build-deps on qttools5-dev. (Closes:#1078290)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

 -- Macy Lin <macy@debconf.org>  Mon, 09 Sep 2024 21:25:35 +0800

=== debian/control ===
Source: lxqt-about
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libglib2.0-dev,
               libkf6windowsystem-dev,
               liblxqt-dev (>= 2.1.0~),
               libx11-dev,
               qt6-svg-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-about
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-about.git
Homepage: https://github.com/lxqt/lxqt-about
Rules-Requires-Root: no

Package: lxqt-about
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-about-l10n, lxqt-qtplugin (>= 2.1.0~)
Description: About screen for LXQt
 The about screen for LXQt
 .
 This package contain the LXQt about screen.

Package: lxqt-about-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-about
 The about screen for LXQt
 .
 This package contains the l10n files needed by the lxqt-about.

## lxqt-about 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 )
 
 # Minimum versions
-set(LXQT_MINIMUM_VERSION "2.1.0")
+set(LXQT_MINIMUM_VERSION "2.2.0")
 
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)

=== translatorsinfo/CMakeLists.txt ===
function(create_translatorsinfo_file _infoFile)
    file(GLOB IN_FILES "${CMAKE_CURRENT_SOURCE_DIR}/translatorsinfo/*.info")

    set(_outFile "${CMAKE_CURRENT_BINARY_DIR}/translators.info")
    file(WRITE "${_outFile}" "")

    foreach (_file ${IN_FILES})
        get_filename_component(_name "${_file}" NAME)
        file(APPEND "${_outFile}" "[${_name}]\n")

        file(READ "${_file}" _content)
        file(APPEND "${_outFile}" "${_content}\n")
    endforeach(_file)

    set("${_infoFile}" "${_outFile}" PARENT_SCOPE)
endfunction()

function(get_translatorsinfo_qrc _qrcFile)
    create_translatorsinfo_file(TRANSLATORS_INFO_FILE)
    configure_file(
        translatorsinfo/translatorsinfo.qrc.in
        "${CMAKE_CURRENT_BINARY_DIR}/translatorsinfo.qrc"
    )
    set(${_qrcFile} "${CMAKE_CURRENT_BINARY_DIR}/translatorsinfo.qrc" PARENT_SCOPE)
endfunction()

=== debian/changelog ===
lxqt-about (2.2.0-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 11 Aug 2025 20:56:39 +0800

lxqt-about (2.2.0-1~exp1) experimental; urgency=medium

  * Team upload.

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream version 2.2.0.
  * d/upstream: Fix broken signing-key.asc.

  [ Macy Lin ]
  * debian/copyright: update.
  * debian/control: build-deps on liblxqt-dev (>= 2.2.0~).
  * debian/control: build-deps on lxqt-build-tools (>= 2.2.0~).
  * debian/control: bump to Standards-version to 4.7.2.

 -- Macy Lin <macy@debconf.org>  Thu, 07 Aug 2025 19:18:43 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-dev,
                libkf6windowsystem-dev,
-               liblxqt-dev (>= 2.1.0~),
+               liblxqt-dev (>= 2.2.0~),
                libx11-dev,
+               lxqt-build-tools (>= 2.2.0~),
                qt6-svg-dev,
                qt6-tools-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-about
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-about.git
 Homepage: https://github.com/lxqt/lxqt-about

## lxqt-about 2.3.0

=== debian/changelog ===
lxqt-about (2.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5

  [ Macy Lin ]
  * Team upload.
  * New upstream version 2.3.0
  * debian/copyright: update LXQT copyright year.
  * debian/control: build-deps on liblxqt-dev (>= 2.3.0~).
  * debian/control: build-deps on lxqt-build-tools (>= 2.3.0~).
  * debian/control: recommends on lxqt-qtplugin (>= 2.3.0~).

 -- Macy Lin <macy@debconf.org>  Sun, 28 Dec 2025 22:26:31 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-dev,
                libkf6windowsystem-dev,
-               liblxqt-dev (>= 2.2.0~),
+               liblxqt-dev (>= 2.3.0~),
                libx11-dev,
-               lxqt-build-tools (>= 2.2.0~),
+               lxqt-build-tools (>= 2.3.0~),
                qt6-svg-dev,
                qt6-tools-dev
 Standards-Version: 4.7.2
@@ -21,7 +21,7 @@
 Package: lxqt-about
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: lxqt-about-l10n, lxqt-qtplugin (>= 2.1.0~)
+Recommends: lxqt-about-l10n, lxqt-qtplugin (>= 2.3.0~)
 Description: About screen for LXQt
  The about screen for LXQt
  .
